Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Namespaces | Typedefs
type_traits.hpp File Reference

## Classes
struct | concepts::basic_common_reference< T, U, TQual, UQual >
| Users can specialize this to hook the `common_reference_with` concept. More...
struct | concepts::common_reference< Ts >
| Users can specialize this to hook the `common_reference_with` concept. More...
struct | concepts::common_reference< T >
struct | concepts::common_reference< T, U >
struct | concepts::common_reference< T, U, Vs... >
struct | concepts::common_type< Ts >
| Users should specialize this to hook the `common_with` concept until `std` gets a SFINAE-friendly `std::common_type` and there's some sane way to deal with cv and ref qualifiers. More...
struct | concepts::common_type< T >
struct | concepts::common_type< T, U >
struct | concepts::common_type< T, U, Vs... >

## Namespaces
| concepts
| INTERNAL ONLY.

## Typedefs
template<typename... Ts>
using | concepts::common_reference_t = typename common_reference< Ts... >::type
template<typename... Ts>
using | concepts::common_type_t = typename common_type< Ts... >::type
template<typename T >
using | concepts::remove_cvref_t = typename std::remove_cv< typename std::remove_reference< T >::type >::type